Unblock PIN
curl --request POST \
--url https://api.pointzero.io/v1/cards/{card_id}/pin/unblock \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pointzero.io/v1/cards/{card_id}/pin/unblock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pointzero.io/v1/cards/{card_id}/pin/unblock"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"object": "pin_status",
"card_id": "card_01JZ8N2K4M",
"status": "set",
"remaining_attempts": 3
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}PIN
Unblock PIN
Resets the incorrect-attempt counter on a blocked PIN.
POST
/
cards
/
{card_id}
/
pin
/
unblock
Unblock PIN
curl --request POST \
--url https://api.pointzero.io/v1/cards/{card_id}/pin/unblock \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pointzero.io/v1/cards/{card_id}/pin/unblock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pointzero.io/v1/cards/{card_id}/pin/unblock"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"object": "pin_status",
"card_id": "card_01JZ8N2K4M",
"status": "set",
"remaining_attempts": 3
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}{
"error": {
"type": "invalid_request",
"message": "The card must be active to perform this action.",
"request_id": "req_01JZ8R2Q4V",
"code": "card_not_active",
"param": "card_id"
}
}Authorizations
Secret API key, e.g. sk_live_... or sk_test_....